{
  "performanceSummary":
  {
    "name":"Kernel Summary"
    , "columns":
    ["Kernel Name", "Kernel Type", "Autorun", "Workgroup Size", "# Compute Units"]
    , "children":
    [
      {
        "name":"conv"
        , "data":
        [
          "Single work-item"
          , "No"
          , [1, 1, 1]
          , 1
        ]
        , "details":
        [
          {
            "type":"text"
            , "text":"Kernel type: Single work-item"
          }
          , {
            "type":"text"
            , "text":"Required workgroup size: (1, 1, 1)"
          }
          , {
            "type":"text"
            , "text":"Maximum workgroup size: 1"
          }
        ]
        , "debug":
        [
          [
            {
              "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
              , "line":11
            }
          ]
        ]
      }
    ]
  }
  , "estimatedResources":
  {
    "name":"Estimated Resource Usage"
    , "columns":
    ["Kernel Name", "ALUTs ", "FFs  ", "RAMs ", "DSPs ", "MLABs"]
    , "children":
    [
      {
        "name":"conv"
        , "data":
        [18365, 38254, 131, 103.5, 311]
        , "debug":
        [
          [
            {
              "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
              , "line":11
            }
          ]
        ]
      }
      , {
        "name":"Global Interconnect"
        , "classes":
        ["summary-highlight", "nohover"]
        , "data":
        [4121, 5284, 0, 0, 0]
      }
      , {
        "name":"Board Interface"
        , "classes":
        ["summary-highlight", "nohover"]
        , "data":
        [66866, 133600, 179, 0, 0]
      }
      , {
        "name":"Total"
        , "classes":
        ["summary-highlight", "nohover"]
        , "data":
        [89352, 177205, 312, 103, 311]
        , "data_percent":
        [11.3458, 11.2497, 12.3125, 6.85112, 21.9278]
      }
      , {
        "name":"Available"
        , "classes":
        ["summary-highlight", "nohover"]
        , "data":
        [787534, 1575200, 2534, 1518, 0]
      }
    ]
  }
  , "compileWarnings":
  {
    "name":"Compile Warnings"
    , "children":
    [
      {
        "name":"Load uses a Burst-coalesced non-aligned cached LSU"
        , "details":
        [
          {
            "type":"text"
            , "text":"Load with a private 512 kilobit cache. Cache is not shared with any other load. It is flushed on kernel start. Use Dynamic Profiler to verify cache effectiveness. Other kernels should not be updating the data in global memory while this kernel is using it. Cache is created when memory access pattern is data-dependent or appears to be repetitive. Simplify access pattern or mark pointer as 'volatile' to disable generation of this cache."
          }
        ]
        , "debug":
        [
          [
            {
              "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
              , "line":50
            }
          ]
        ]
      }
      , {
        "name":"Load uses a Burst-coalesced non-aligned cached LSU"
        , "details":
        [
          {
            "type":"text"
            , "text":"Load with a private 512 kilobit cache. Cache is not shared with any other load. It is flushed on kernel start. Use Dynamic Profiler to verify cache effectiveness. Other kernels should not be updating the data in global memory while this kernel is using it. Cache is created when memory access pattern is data-dependent or appears to be repetitive. Simplify access pattern or mark pointer as 'volatile' to disable generation of this cache."
          }
        ]
        , "debug":
        [
          [
            {
              "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
              , "line":75
            }
          ]
        ]
      }
      , {
        "name":"Store uses a Burst-coalesced non-aligned LSU"
        , "details":
        [
          {
            "type":"text"
            , "text":"Use Dynamic Profiler to determine performance impact of this LSU."
          }
        ]
        , "debug":
        [
          [
            {
              "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
              , "line":121
            }
          ]
          , [
            {
              "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
              , "line":122
            }
          ]
          , [
            {
              "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
              , "line":123
            }
          ]
          , [
            {
              "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
              , "line":124
            }
          ]
          , [
            {
              "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
              , "line":125
            }
          ]
          , [
            {
              "filename":"/home/adua5/new/conv_gen_shift5_1/conv_gen_shift5.cl"
              , "line":126
            }
          ]
        ]
      }
    ]
  }
}
